Patch #31919

Update roadie-rails gem (~> 2.1.0)

Added by Go MAEDA about 1 month ago. Updated about 1 month ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Go MAEDA% Done:

0%

Category:Gems support
Target version:4.1.0

Description

diff --git a/Gemfile b/Gemfile
index d244bd2b9..12fc054fb 100644
--- a/Gemfile
+++ b/Gemfile
@@ -7,7 +7,7 @@ gem "rouge", "~> 3.8.0" 
 gem "request_store", "1.0.5" 
 gem "mini_mime", "~> 1.0.1" 
 gem "actionpack-xml_parser" 
-gem "roadie-rails", "~> 1.3.0" 
+gem "roadie-rails", (RUBY_VERSION < "2.5" ? "~> 1.3.0" : "~> 2.1.0")
 gem "mimemagic" 
 gem "mail", "~> 2.7.1" 
 gem "csv", "~> 3.1.1" 

Related issues

Blocks Redmine - Feature #29914: Migrate to Rails 6 New

Associated revisions

Revision 18374
Added by Go MAEDA about 1 month ago

Update roadie-rails gem (~> 2.1.0) (#31919).

History

#1 Updated by Go MAEDA about 1 month ago

#2 Updated by Go MAEDA about 1 month ago

roadie-rails 1.3.0 does not support Rails 6.

roadie-rails.gemspec:

  spec.add_dependency "roadie", "~> 3.1" 
  spec.add_dependency "railties", ">= 3.0", "< 5.3" 

  spec.add_development_dependency "rails", ">= 4.2", "< 5.3" 
  spec.add_development_dependency "bundler", "~> 1.6" 
  spec.add_development_dependency "rspec", "~> 3.0" 
  spec.add_development_dependency "rspec-rails" 
  spec.add_development_dependency "rspec-collection_matchers" 

#3 Updated by Go MAEDA about 1 month ago

  • Status changed from New to Closed
  • Assignee set to Go MAEDA

Committed.

Also available in: Atom PDF